[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# InterlockedCompareExchangePointer

Compare pointers in an atomic operation

## Declaration

Source position: systemh.inc line 1460

`function InterlockedCompareExchangePointer(`
`var Target: Pointer;`
`NewValue: Pointer;`
`Comperand: Pointer`
`):Pointer;`

## Description

InterlockedCompareExchangePointer compares Comparand with Target. if they are equal, replaces Target with NewValue. This is done in a single atomic operation.

## See also

InterlockedCompareExchange |  | Conditional exchange